Internet Explorer is no longer supported. Many things will still work, but your experience will be degraded and some things won't function. Please use a modern browser such as Edge, Chrome, or Firefox.
This page details the changes in each maintenance release, many of which will link to our Public Issue Tracker, which you may also use to find more details or see about upcoming changes.
Issue Version Title
PG-1726
5.3.3
FIX: List Packages Page may display error when package has vulnerability
PG-1723
5.3.3
FIX: Upgrade error when trying to delete anonymous user
PG-1722
5.3.3
FIX: Exception viewing Bower packages
PG-1721
5.3.3
FIX: Possible exception viewing Helm package
PG-1720
5.3.3
FIX: Group name not showing on the List Packages page
PG-1714
5.3.3
Add friendlier URLs for package detail/overview pages
PG-1708
5.3.3
Remove manual vulnerability sources